En effet, comme indiqué ici la génération de binaires compatibles avec le nouvel écran de l'iPhone 5 impose logiquement l'utilisation du dernier SDK iOS 6, mais celui-ci n'est désormais compatible qu'avec les machines utilisant ARM 7. Cela laisse de coté les machines suivantes (ARM 6) : iPhone, iPhone 3G, iPod touch, iPod touch 2nd gen, iPod touch "3em gen".

Les développeurs confrontés à ce choix vont naturellement aller vers le support de l'iPhone 5 pour éviter que leurs applications n'affichent des bandes noires en haut et en bas de l'écran ainsi que pour utiliser les nouveautés offertes par iOS 6.

La conséquence est la suivante : les applications tierces mises à jour pour iOS 6 / iPhone 5 ne pourront plus être utilisées sur ces machines, même si elles disposent de iOS 4.3 pour certaines.

Rappelons qu'elles ont atteint l'âge vénérable de quatre ans maintenant tout de même.

Méfiance donc sur les mises à jour de vos applications si vous utilisez ces machines !



Vous aimez ? Partagez !